Bug 1445681 - No error pops when logging with a locked ovirt user account
Summary: No error pops when logging with a locked ovirt user account
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.0.0
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.2.0
: ---
Assignee: Ravi Nori
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
Depends On:
Blocks: 1445673 1454811
TreeView+ depends on / blocked
 
Reported: 2017-04-26 09:30 UTC by Christophe Fergeau
Modified: 2019-05-16 13:06 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
For REST API clients, the SSO authentication error now appears in the body of the response, for example, "<html><head><title>Error</title></head><body>access_denied: Cannot authenticate user 'admin@internal': The username or password is incorrect.</body></html>".
Clone Of: 1445673
: 1454811 (view as bug list)
Environment:
Last Closed: 2018-05-15 17:42:49 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:1488 0 None None None 2018-05-15 17:44:33 UTC
oVirt gerrit 76668 0 master MERGED aaa: Return SSO authentication errors in response 2020-10-04 13:37:13 UTC

Comment 4 Lucie Leistnerova 2017-11-06 13:51:05 UTC
Error 'Unable to log in because the user account is disabled or locked. Contact the system administrator.' for blocked account displayed

verified in ovirt-engine-4.2.0-0.0.master.20171105155215.git59d3324.el7.centos.noarch

Comment 7 errata-xmlrpc 2018-05-15 17:42:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:1488

Comment 8 Franta Kust 2019-05-16 13:06:52 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.